Bug 1194275 - [Snapshot]: Glusterd crashed during snap restore after adding a new node without hostname resolution
Summary: [Snapshot]: Glusterd crashed during snap restore after adding a new node with...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot
Version: rhgs-3.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: RHGS 3.0.4
Assignee: Avra Sengupta
QA Contact: senaik
URL:
Whiteboard:
Depends On:
Blocks: 1182947 1194538
TreeView+ depends on / blocked
 
Reported: 2015-02-19 13:09 UTC by shilpa
Modified: 2016-09-17 12:55 UTC (History)
9 users (show)

Fixed In Version: glusterfs-3.6.0.47-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1194538 (view as bug list)
Environment:
Last Closed: 2015-03-26 06:36:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0682 0 normal SHIPPED_LIVE Red Hat Storage 3.0 enhancement and bug fix update #4 2015-03-26 10:32:55 UTC

Comment 5 Atin Mukherjee 2015-02-20 05:08:13 UTC
Shilpa,

Could you attach the core file?

Comment 7 Avra Sengupta 2015-02-20 06:02:05 UTC
This issue is already RCA'd. In the glusterd restore path, if we fail to stop the brick, we fail restore. But the check in the out: section of the function makes a wrong ret check, which causes us to access a NULL new_volinfo thereby causing the crash. Will send the fix for this.

Comment 8 Avra Sengupta 2015-02-20 07:35:15 UTC
Upstream fix at http://review.gluster.org/9719

Comment 9 Avra Sengupta 2015-02-24 08:03:22 UTC
Fixed with https://code.engineering.redhat.com/gerrit/42593

Comment 10 senaik 2015-02-27 09:27:38 UTC
Version : glusterfs 3.6.0.47

Retried the steps by making the newly added node not resolve the hostnames of the existing nodes in the cluster and snapshot restore fails as expected. There is no crash seen. 

Marking the bug as 'Verified'

Comment 12 errata-xmlrpc 2015-03-26 06:36:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0682.html


Note You need to log in before you can comment on or make changes to this bug.